/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_ECLI                                                     */
/* Tabela : ENDECLIE                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 18/06/2001 - Newton Neves dos Santos                                       */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_ECLI
BEFORE INSERT OR UPDATE OR DELETE
ON ENDECLIE FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUECLI := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.SGESTADO,0)     <> NVL(:NEW.SGESTADO,0))     OR
         (NVL(:OLD.DSENDECLIE,0)   <> NVL(:NEW.DSENDECLIE,0))   OR
         (NVL(:OLD.NMBAIRCLIE,0)   <> NVL(:NEW.NMBAIRCLIE,0))   OR
         (NVL(:OLD.NRCEPCLIE,0)    <> NVL(:NEW.NRCEPCLIE,0))    OR
         (NVL(:OLD.NRTELECLIE,0)   <> NVL(:NEW.NRTELECLIE,0))   OR
         (NVL(:OLD.NRFAXCLIE,0)    <> NVL(:NEW.NRFAXCLIE,0))    OR
         (NVL(:OLD.CDPAIS,0)       <> NVL(:NEW.CDPAIS,0))       OR
         (NVL(:OLD.CDMUNICIPIO,0)  <> NVL(:NEW.CDMUNICIPIO,0))  OR
         (NVL(:OLD.CDCLIENTE,0)    <> NVL(:NEW.CDCLIENTE,0))    OR
         (NVL(:OLD.IDTPENDECLIE,0) <> NVL(:NEW.IDTPENDECLIE,0)) THEN
         :NEW.DTULTATUECLI := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('ENDECLIE', '', 'CDCLIENTE='||:OLD.CDCLIENTE||';IDTPENDECLIE='||:OLD.IDTPENDECLIE||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE ENDECLIE MODIFY DTULTATUECLI DEFAULT SYSDATE
/
