/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_EQUIPCIA                                                 */
/* Tabela : EQUIPCIA                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 10/10/2003 Bruno Leonardo                                                  */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_EQUIPCIA
BEFORE INSERT OR UPDATE OR DELETE
ON EQUIPCIA FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUEQUC := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDFILIAL,0) <> NVL(:NEW.CDFILIAL,0)) OR
         (NVL(:OLD.CDCIA   ,0) <> NVL(:NEW.CDCIA   ,0)) OR
         (NVL(:OLD.CDEQUIP ,0) <> NVL(:NEW.CDEQUIP ,0)) OR
         (NVL(:OLD.QTTOTPAX,0) <> NVL(:NEW.QTTOTPAX,0)) THEN
         :NEW.DTULTATUEQUC := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('EQUIPCIA', '', 'CDFILIAL='||:OLD.CDFILIAL||';CDCIA='||:OLD.CDCIA||';CDEQUIP='||:OLD.CDEQUIP||';',SYSDATE);
   END IF;
END;
/

ALTER TABLE EQUIPCIA MODIFY DTULTATUEQUC DEFAULT SYSDATE
/
