/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_DESPADMFATUR                                             */
/* Tabela : DESPADMFATUR                                                      */
/*                                                                            */
/* Criao:                                                                   */
/* 23/01/2004 - Newton N. Santos                                              */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_DESPADMFATUR
BEFORE INSERT OR UPDATE OR DELETE
ON DESPADMFATUR FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUDADM := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDDESPADMFAT,0) <> NVL(:NEW.CDDESPADMFAT,0)) OR
         (NVL(:OLD.DSDESPADMFAT,0) <> NVL(:NEW.DSDESPADMFAT,0)) OR
         (NVL(:OLD.CDGRUPOFATUR,0) <> NVL(:NEW.CDGRUPOFATUR,0)) OR
         (NVL(:OLD.CDPRODUTO,0)    <> NVL(:NEW.CDPRODUTO,0))  THEN
         :NEW.DTULTATUDADM := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('DESPADMFATUR', '', 'CDDESPADMFAT='||:OLD.CDDESPADMFAT||';', SYSDATE);
   END IF;
END;
/


ALTER TABLE DESPADMFATUR MODIFY DTULTATUDADM DEFAULT SYSDATE
/
